Create Component Resource
curl --request POST \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/courses/component-resources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"componentResource": {
"sourcedId": "<string>",
"courseComponent": {
"sourcedId": "<string>"
},
"resource": {
"sourcedId": "<string>"
},
"title": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"sortOrder": 0
}
}
'import requests
url = "https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/courses/component-resources"
payload = { "componentResource": {
"sourcedId": "<string>",
"courseComponent": { "sourcedId": "<string>" },
"resource": { "sourcedId": "<string>" },
"title": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"sortOrder": 0
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
componentResource: {
sourcedId: '<string>',
courseComponent: {sourcedId: '<string>'},
resource: {sourcedId: '<string>'},
title: '<string>',
dateLastModified: '2023-11-07T05:31:56Z',
metadata: {},
sortOrder: 0
}
})
};
fetch('https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/courses/component-resources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sourcedIdPairs": {
"suppliedSourcedId": "<string>",
"allocatedSourcedId": "<string>"
}
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unauthorisedrequest"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "forbidden"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unknownobject"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "server_busy"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "internal_server_error"
}
]
},
"imsx_error_details": [
{}
]
}Courses Management
Create Component Resource
To create a new Component Resource. The responding system must return the set of sourcedIds that have been allocated to the newly created componentResource record.
POST
/
ims
/
oneroster
/
rostering
/
v1p2
/
courses
/
component-resources
Create Component Resource
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Represents a resource associated with a course component.
Show child attributes
Show child attributes
Response
Created Component Resource Successfully
Show child attributes
Show child attributes
⌘I